Name:           atanks
Version:        2.5
Release:        1%{?dist}
Summary:        Remake of a classic DOS game "Scorched Earth"

Group:          Amusements/Games
License:        GPLv2+
URL:            http://atanks.sourceforge.net/
Source0:        http://download.sourceforge.net/atanks/atanks-%{version}.tar.gz
Source1:        atanks.png
Source2:        atanks.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  allegro-devel, desktop-file-utils

%description
Atomic Tanks is a game in which you control an overly-powerful
tank and attempt to blow up other highly powerful tanks. Players
get to select a number of weapons and defensive items and then
attack each other in a turn-based manner. The last tank standing
is the winner.


%prep
%setup -q -n atanks


%build
pushd src
CFLAGS="%{optflags}" make -f Makefile.debian %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p -m 0755 \
    $RPM_BUILD_ROOT%{_datadir}/games/atanks \
    $RPM_BUILD_ROOT%{_bindir} \
    $RPM_BUILD_ROOT%{_datadir}/pixmaps \
    $RPM_BUILD_ROOT%{_datadir}/applications
install -p -m 0644 *.dat *.txt $RPM_BUILD_ROOT%{_datadir}/games/atanks/
install -p -m 0755 atanks $RPM_BUILD_ROOT%{_bindir}/
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/
desktop-file-install \
    --vendor fedora \
    --mode 0644 \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
    %{SOURCE2}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc BUGS Changelog COPYING README TODO
%{_datadir}/games/atanks
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_bindir}/atanks


%changelog
* Fri Aug 17 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.5-1
- Upstream 2.5
- Appease license naming gods

* Mon Jul 02 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.4-1
- Importing into Fedora CVS and building.

* Fri Jun 29 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.4-0.1
- Initial packaging for Fedora.
